#### Header variables
%define name GtkScintilla
%define version 0.8.2
%define release 1
%define serial 1

#### Useful macros
# Attempt to avoid disaster
%define clean_build_root if test -O "%{buildroot}" -a "%{buildroot}" != "/" -a "%{buildroot}" != "$HOME"; then %{__rm} -rf %{buildroot}; fi
# To delete directory where compilation takes place
%define clean_build_dir %{__rm} -rf %{buildsubdir}

#### Header
Summary: GtkScintilla - A wrapper for Scintilla editing component
Name: %{name}
Version: %{version}
Release: %{release}
Serial: %{serial}
Copyright: GPL
Group: System Environment/Libraries
Vendor: Michele Campeotto <micampe@micampe.it>
#Packager: %packager
Url: www.micampe.it/software/moleskine
Source: %{name}-%{version}.tar.gz
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#### Description
%description
This is GtkScintilla, a wrapper for the Scintilla (www.scintilla.org)
editing component wich adds some facility to this powerful component
written by Neil Hodgson (and may others).

#### Prep
%prep
%setup -q

#### Build
%build
make

#### Install
%install
%clean_build_root
make DESTDIR=${RPM_BUILD_ROOT} install

#### Clean
%clean
%clean_build_root
%clean_build_dir

#### Post-install
%post
/sbin/ldconfig

#### Pre-uninstall
%preun
/sbin/ldconfig

#### Files
%files
%defattr(-, root, root)
%doc COPYING README 
%{_libdir}/*
%{_includedir}/*

#### Changelog
%changelog

* Fri Feb 16 2001 Sourav K. Mandal <Sourav.Mandal@ikaran.com>
- First incarnation

